module Xorg_libxcb_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libxcb
const libxcb_path = "/usr/lib/libxcb.so.1"
libxcb_handle = C_NULL
const libxcb = "libxcb.so.1"
export libxcb_composite
const libxcb_composite_path = "/usr/lib/libxcb-composite.so.0"
libxcb_composite_handle = C_NULL
const libxcb_composite = "libxcb-composite.so.0"
export libxcb_damage
const libxcb_damage_path = "/usr/lib/libxcb-damage.so.0"
libxcb_damage_handle = C_NULL
const libxcb_damage = "libxcb-damage.so.0"
export libxcb_dpms
const libxcb_dpms_path = "/usr/lib/libxcb-dpms.so.0"
libxcb_dpms_handle = C_NULL
const libxcb_dpms = "libxcb-dpms.so.0"
export libxcb_dri2
const libxcb_dri2_path = "/usr/lib/libxcb-dri2.so.0"
libxcb_dri2_handle = C_NULL
const libxcb_dri2 = "libxcb-dri2.so.0"
export libxcb_dri3
const libxcb_dri3_path = "/usr/lib/libxcb-dri3.so.0"
libxcb_dri3_handle = C_NULL
const libxcb_dri3 = "libxcb-dri3.so.0"
export libxcb_glx
const libxcb_glx_path = "/usr/lib/libxcb-glx.so.0"
libxcb_glx_handle = C_NULL
const libxcb_glx = "libxcb-glx.so.0"
export libxcb_present
const libxcb_present_path = "/usr/lib/libxcb-present.so.0"
libxcb_present_handle = C_NULL
const libxcb_present = "libxcb-present.so.0"
export libxcb_randr
const libxcb_randr_path = "/usr/lib/libxcb-randr.so.0"
libxcb_randr_handle = C_NULL
const libxcb_randr = "libxcb-randr.so.0"
export libxcb_record
const libxcb_record_path = "/usr/lib/libxcb-record.so.0"
libxcb_record_handle = C_NULL
const libxcb_record = "libxcb-record.so.0"
export libxcb_render
const libxcb_render_path = "/usr/lib/libxcb-render.so.0"
libxcb_render_handle = C_NULL
const libxcb_render = "libxcb-render.so.0"
export libxcb_res
const libxcb_res_path = "/usr/lib/libxcb-res.so.0"
libxcb_res_handle = C_NULL
const libxcb_res = "libxcb-res.so.0"
export libxcb_screensaver
const libxcb_screensaver_path = "/usr/lib/libxcb-screensaver.so.0"
libxcb_screensaver_handle = C_NULL
const libxcb_screensaver = "libxcb-screensaver.so.0"
export libxcb_shape
const libxcb_shape_path = "/usr/lib/libxcb-shape.so.0"
libxcb_shape_handle = C_NULL
const libxcb_shape = "libxcb-shape.so.0"
export libxcb_shm
const libxcb_shm_path = "/usr/lib/libxcb-shm.so.0"
libxcb_shm_handle = C_NULL
const libxcb_shm = "libxcb-shm.so.0"
export libxcb_sync
const libxcb_sync_path = "/usr/lib/libxcb-sync.so.1"
libxcb_sync_handle = C_NULL
const libxcb_sync = "libxcb-sync.so.1"
export libxcb_xf86dri
const libxcb_xf86dri_path = "/usr/lib/libxcb-xf86dri.so.0"
libxcb_xf86dri_handle = C_NULL
const libxcb_xf86dri = "libxcb-xf86dri.so.0"
export libxcb_xfixes
const libxcb_xfixes_path = "/usr/lib/libxcb-xfixes.so.0"
libxcb_xfixes_handle = C_NULL
const libxcb_xfixes = "libxcb-xfixes.so.0"
export libxcb_xinerama
const libxcb_xinerama_path = "/usr/lib/libxcb-xinerama.so.0"
libxcb_xinerama_handle = C_NULL
const libxcb_xinerama = "libxcb-xinerama.so.0"
export libxcb_xinput
const libxcb_xinput_path = "/usr/lib/libxcb-xinput.so.0"
libxcb_xinput_handle = C_NULL
const libxcb_xinput = "libxcb-xinput.so.0"
export libxcb_xkb
const libxcb_xkb_path = "/usr/lib/libxcb-xkb.so.1"
libxcb_xkb_handle = C_NULL
const libxcb_xkb = "libxcb-xkb.so.1"
export libxcb_xtest
const libxcb_xtest_path = "/usr/lib/libxcb-xtest.so.0"
libxcb_xtest_handle = C_NULL
const libxcb_xtest = "libxcb-xtest.so.0"
export libxcb_xv
const libxcb_xv_path = "/usr/lib/libxcb-xv.so.0"
libxcb_xv_handle = C_NULL
const libxcb_xv = "libxcb-xv.so.0"
export libxcb_xvmc
const libxcb_xvmc_path = "/usr/lib/libxcb-xvmc.so.0"
libxcb_xvmc_handle = C_NULL
const libxcb_xvmc = "libxcb-xvmc.so.0"
function __init__()
    global libxcb_handle = dlopen(libxcb_path)
    global libxcb_composite_handle = dlopen(libxcb_composite_path)
    global libxcb_damage_handle = dlopen(libxcb_damage_path)
    global libxcb_dpms_handle = dlopen(libxcb_dpms_path)
    global libxcb_dri2_handle = dlopen(libxcb_dri2_path)
    global libxcb_dri3_handle = dlopen(libxcb_dri3_path)
    global libxcb_glx_handle = dlopen(libxcb_glx_path)
    global libxcb_present_handle = dlopen(libxcb_present_path)
    global libxcb_randr_handle = dlopen(libxcb_randr_path)
    global libxcb_record_handle = dlopen(libxcb_record_path)
    global libxcb_render_handle = dlopen(libxcb_render_path)
    global libxcb_res_handle = dlopen(libxcb_res_path)
    global libxcb_screensaver_handle = dlopen(libxcb_screensaver_path)
    global libxcb_shape_handle = dlopen(libxcb_shape_path)
    global libxcb_shm_handle = dlopen(libxcb_shm_path)
    global libxcb_sync_handle = dlopen(libxcb_sync_path)
    global libxcb_xf86dri_handle = dlopen(libxcb_xf86dri_path)
    global libxcb_xfixes_handle = dlopen(libxcb_xfixes_path)
    global libxcb_xinerama_handle = dlopen(libxcb_xinerama_path)
    global libxcb_xinput_handle = dlopen(libxcb_xinput_path)
    global libxcb_xkb_handle = dlopen(libxcb_xkb_path)
    global libxcb_xtest_handle = dlopen(libxcb_xtest_path)
    global libxcb_xv_handle = dlopen(libxcb_xv_path)
    global libxcb_xvmc_handle = dlopen(libxcb_xvmc_path)
end
end
